FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202005180840 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005180840 
ENV __doozer=merge OS_GIT_COMMIT=3976055 OS_GIT_VERSION=4.4.0-202005180840-3976055 SOURCE_DATE_EPOCH=1583532850 SOURCE_GIT_COMMIT=3976055718cd505db8682088f7956df09df0cb0f SOURCE_GIT_TAG=39760557 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator 
WORKDIR /ingress-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.4.0.20200518.084100
ENV __doozer=update BUILD_RELEASE=202005180840 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005180840 
ENV __doozer=merge OS_GIT_COMMIT=3976055 OS_GIT_VERSION=4.4.0-202005180840-3976055 SOURCE_DATE_EPOCH=1583532850 SOURCE_GIT_COMMIT=3976055718cd505db8682088f7956df09df0cb0f SOURCE_GIT_TAG=39760557 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator 
COPY --from=builder /ingress-operator/ingress-operator /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/ingress-operator"]

LABEL \
        io.openshift.release.operator="true" \
        io.k8s.display-name="OpenShift ingress-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of ingress controller components." \
        maintainer="Dan Mace <dmace@redhat.com>" \
        name="openshift/ose-cluster-ingress-operator" \
        com.redhat.component="ose-cluster-ingress-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.4.0" \
        release="202005180840" \
        io.openshift.build.commit.id="3976055718cd505db8682088f7956df09df0cb0f" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-ingress-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-ingress-operator/commit/3976055718cd505db8682088f7956df09df0cb0f"

